import { prepareRoutes } from '@curi/router'

export default prepareRoutes([
  {
    name: 'dashboard',
    path: '',
    respond() {
      return { body: () => (<div>DashBoard</div>) }
    }
  },
  {
    name: 'create-article',
    path: 'articles/create',
    resolve() {
      const body = import(/* webpackChunkName: "create-article" */ './articles/article-editor').then(m => m.ArticleEditor);
      return body;
    },
    respond({ resolved }) {
      return { body: resolved }
    }
  },
  {
    name: 'modify-article',
    path: 'articles/:id',
    resolve() {
      return import(/* webpackChunkName: "modify-article" */ './articles/article-editor').then(m => m.ArticleEditor);
    },
    respond({ resolved }) {
      const ModifyArticle = () => resolved();
      return { body: <ModifyArticle /> }
    }
  },
  {
    name: 'articles',
    path: 'articles',
    resolve() {
      return import(/* webpackChunkName: "articles" */ './articles/index').then(m => m.ArticleIndex);
    },
    respond({ resolved }) {
      return { body: resolved }
    }
  },
  {
    name: 'tags',
    path: 'tags',
    respond() {
      return { body: () => (<div>Tags</div>) }
    }
  },
])